Index: c/src/ada-tests/sptests/sp07/sptest.adb
===================================================================
--- c/src/ada-tests/sptests/sp07/sptest.adb	(revision f2078ec712a7196d223ee6e5f6957ef68f371bdd)
+++ c/src/ada-tests/sptests/sp07/sptest.adb	(revision e56a2ef367c735f429d7ab902e6a6177af5dd24a)
@@ -31,4 +31,14 @@
 
 --PAGE
+--
+-- TCB_To_ID
+--
+
+      function TCB_To_ID (
+         TCB : RTEMS.TCB_POINTER
+      ) return RTEMS.ID;
+      pragma Import (C, TCB_To_ID, "tcb_to_id" );
+
+--PAGE
 -- 
 --  INIT
@@ -63,5 +73,5 @@
          SPTEST.TASK_NAME( 1 ), 
          4, 
-         2048, 
+         RTEMS.MINIMUM_STACK_SIZE, 
          RTEMS.DEFAULT_MODES,
          RTEMS.DEFAULT_ATTRIBUTES,
@@ -74,5 +84,5 @@
          SPTEST.TASK_NAME( 2 ), 
          4, 
-         2048, 
+         RTEMS.MINIMUM_STACK_SIZE, 
          RTEMS.DEFAULT_MODES,
          RTEMS.DEFAULT_ATTRIBUTES,
@@ -85,5 +95,5 @@
          SPTEST.TASK_NAME( 3 ), 
          250, 
-         2048, 
+         RTEMS.MINIMUM_STACK_SIZE, 
          RTEMS.DEFAULT_MODES,
          RTEMS.DEFAULT_ATTRIBUTES,
@@ -96,5 +106,5 @@
          SPTEST.TASK_NAME( 4 ), 
          254, 
-         2048, 
+         RTEMS.MINIMUM_STACK_SIZE, 
          RTEMS.DEFAULT_MODES,
          RTEMS.DEFAULT_ATTRIBUTES,
@@ -370,5 +380,5 @@
    begin
 
-      if TEST_SUPPORT.TASK_NUMBER( RUNNING_TASK.OBJECT.ID ) > 0 then
+      if TEST_SUPPORT.TASK_NUMBER( TCB_To_ID( RUNNING_TASK ) ) > 0 then
          TEXT_IO.PUT_LINE( "TASK_EXITTED - user extension invoked correctly" );
       end if;
@@ -390,9 +400,9 @@
    begin
 
-      if TEST_SUPPORT.TASK_NUMBER( CREATED_TASK.OBJECT.ID ) > 0 then
+      if TEST_SUPPORT.TASK_NUMBER( TCB_To_ID( CREATED_TASK ) ) > 0 then
          TEXT_IO.PUT( "TASKS_CREATE - " );
          TEST_SUPPORT.PUT_NAME( 
             SPTEST.TASK_NAME( 
-               TEST_SUPPORT.TASK_NUMBER( CREATED_TASK.OBJECT.ID )
+               TEST_SUPPORT.TASK_NUMBER( TCB_To_ID( CREATED_TASK ) )
             ),
             FALSE
@@ -414,9 +424,9 @@
    begin
 
-      if TEST_SUPPORT.TASK_NUMBER( RUNNING_TASK.OBJECT.ID ) > 0 then
+      if TEST_SUPPORT.TASK_NUMBER( TCB_To_ID( RUNNING_TASK ) ) > 0 then
          TEXT_IO.PUT( "TASKS_DELETE - " );
          TEST_SUPPORT.PUT_NAME( 
             SPTEST.TASK_NAME( 
-               TEST_SUPPORT.TASK_NUMBER( RUNNING_TASK.OBJECT.ID ) 
+               TEST_SUPPORT.TASK_NUMBER( TCB_To_ID( RUNNING_TASK ) ) 
             ),
             FALSE
@@ -424,9 +434,9 @@
       end if;
 
-      if TEST_SUPPORT.TASK_NUMBER( DELETED_TASK.OBJECT.ID ) > 0 then
+      if TEST_SUPPORT.TASK_NUMBER( TCB_To_ID( DELETED_TASK ) ) > 0 then
          TEXT_IO.PUT( "deleting " );
          TEST_SUPPORT.PUT_NAME( 
             SPTEST.TASK_NAME( 
-               TEST_SUPPORT.TASK_NUMBER( DELETED_TASK.OBJECT.ID ) 
+               TEST_SUPPORT.TASK_NUMBER( TCB_To_ID( DELETED_TASK ) ) 
             ),
             TRUE
@@ -447,9 +457,9 @@
    begin
 
-      if TEST_SUPPORT.TASK_NUMBER( RESTARTED_TASK.OBJECT.ID ) > 0 then
+      if TEST_SUPPORT.TASK_NUMBER( TCB_To_ID( RESTARTED_TASK ) ) > 0 then
          TEXT_IO.PUT( "TASKS_RESTART - " );
          TEST_SUPPORT.PUT_NAME( 
             SPTEST.TASK_NAME( 
-               TEST_SUPPORT.TASK_NUMBER( RESTARTED_TASK.OBJECT.ID ) 
+               TEST_SUPPORT.TASK_NUMBER( TCB_To_ID( RESTARTED_TASK ) ) 
             ),
             FALSE
@@ -471,9 +481,9 @@
    begin
 
-      if TEST_SUPPORT.TASK_NUMBER( STARTED_TASK.OBJECT.ID ) > 0 then
+      if TEST_SUPPORT.TASK_NUMBER( TCB_To_ID( STARTED_TASK ) ) > 0 then
          TEXT_IO.PUT( "TASKS_START - " );
          TEST_SUPPORT.PUT_NAME( 
             SPTEST.TASK_NAME( 
-               TEST_SUPPORT.TASK_NUMBER( STARTED_TASK.OBJECT.ID ) 
+               TEST_SUPPORT.TASK_NUMBER( TCB_To_ID( STARTED_TASK ) ) 
             ),
             FALSE
Index: c/src/ada-tests/sptests/sp07/sptest.ads
===================================================================
--- c/src/ada-tests/sptests/sp07/sptest.ads	(revision f2078ec712a7196d223ee6e5f6957ef68f371bdd)
+++ c/src/ada-tests/sptests/sp07/sptest.ads	(revision e56a2ef367c735f429d7ab902e6a6177af5dd24a)
@@ -167,3 +167,20 @@
    );
 
+--
+--  This is the User Extension Table for this test.
+--
+
+   EXTENSIONS : aliased RTEMS.EXTENSIONS_TABLE :=
+   (
+        SPTEST.TASK_CREATE_EXTENSION'ACCESS,         -- Task create
+        SPTEST.TASK_START_EXTENSION'ACCESS,          -- Task start
+        SPTEST.TASK_RESTART_EXTENSION'ACCESS,        -- Task restart
+        SPTEST.TASK_DELETE_EXTENSION'ACCESS,         -- Task delete
+        NULL,                                        -- Task switch
+        NULL,                                        -- Task post switch
+        NULL,                                        -- Task begin
+        SPTEST.TASK_EXIT_EXTENSION'ACCESS,           -- Task exitted
+        NULL                                         -- Fatal error
+   );
+
 end SPTEST;
